%define Werror_cflags %{nil}

%define	major		14
%define wiretapmajor	11
%define wsutilmajor	12
%define libname		%mklibname wireshark %{major}
%define libwiretap	%mklibname wiretap %{wiretapmajor}
%define libwsutil	%mklibname wsutil %{wsutilmajor}
%define devname		%mklibname -d wireshark

Summary:	Network traffic analyzer
Name:		wireshark
Version:	3.4.5
Release:	%mkrel 1
License:	GPLv2+ and GPLv3
Group:		Monitoring
URL:		https://www.wireshark.org
Source0:	https://www.wireshark.org/download/src/%{name}-%{version}.tar.xz
Source10:	README.urpmi
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	libelf-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5MultimediaWidgets)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)
# Optional BRs
BuildRequires:	asciidoctor
BuildRequires:	doxygen
BuildRequires:	git-core
BuildRequires:	krb5-devel
BuildRequires:	libcap-devel
BuildRequires:	libgnutls-devel
BuildRequires:	libpcap-devel
BuildRequires:	libsmi-devel
# Doesn't work with lua > 5.2.99
BuildRequires:	lua5.2-devel
BuildRequires:	pkgconfig(libbcg729)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libmaxminddb)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(snappy)
BuildRequires:	xsltproc
BuildRequires:	zlib-devel

Requires:	dumpcap
Requires:	xdg-utils

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on Qt, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:		System/Libraries

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on Qt, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libwiretap}
Summary:	Packet-capture library for %{name}
Group:		System/Libraries

%description -n	%{libwiretap}
The wiretap library is a packet-capture library currently under development
parallel to wireshark.

Wiretap is used in wireshark for its ability to read multiple file types.

%package -n	%{libwsutil}
Summary:	Network packet dissection utilities library
Group:		System/Libraries

%description -n	%{libwsutil}
The libwsutil library provides utility functions for wireshark.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	wireshark-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libwiretap} = %{version}-%{release}
Requires:	%{libwsutil} = %{version}-%{release}

%description -n	%{devname}
This package contains files used for development with %{name}.

%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring

%description	tools
Set of tools for manipulating capture files. Contains:

- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Requires:	dumpcap

%description -n	tshark
Tshark is a network protocol analyzer. It lets you capture packet data from a
live network, or read packets from a previously saved capture file, either
printing a decoded form of those packets to the standard output or writing the
packets to a file. Twireshark's native capture file format is libpcap format,
which is also the format used by tcpdump and various other tools.

%package -n	rawshark
Summary:	Dump and analyze raw libpcap data
Group:		Monitoring

%description -n	rawshark
Rawshark reads a stream of packets from a file or pipe, and prints a line
describing its output, followed by a set of matching fields for each packet on
stdout.

%package -n	dumpcap
Summary:	Network traffic dump tool
Group:		Monitoring

%description -n	dumpcap
Dumpcap is a network traffic dump tool. It lets you capture packet data from a
live network and write the packets to a file. Many wireshark utilities require it.

%prep
%setup -q
%autopatch -p1

# README.urpmi
install -Dm644 %{SOURCE10} .

%build
%cmake_qt5 \
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
	-DENABLE_EXTRA_COMPILER_WARNINGS:BOOL=ON \
	-DDUMPCAP_INSTALL_OPTION:STRING="suid" \
	-DENABLE_DUMPCAP_GROUP:BOOL=ON \
	-DDUMPCAP_INSTALL_GROUP:STRING="wireshark"
%cmake_build

%install
%cmake_install

# link to main executable
mv %{buildroot}%{_bindir}/wireshark %{buildroot}%{_bindir}/wireshark-qt
ln -s wireshark-qt %{buildroot}%{_bindir}/wireshark

# icons
install -Dpm0644 image/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -Dpm0644 image/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -Dpm0644 image/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

# remove uneeded files
find %{buildroot} -name "*.la" -delete

# install includes
mkdir -p %{buildroot}%{_includedir}/wireshark
for include in `find epan -type f -name '*.h'`; do
	mkdir -p %{buildroot}%{_includedir}/wireshark/`dirname $include`
	install -m 0644 $include %{buildroot}%{_includedir}/wireshark/`dirname $include`
done

# remaining include files
install -m 0644 *.h %{buildroot}%{_includedir}/wireshark
mkdir -p %{buildroot}%{_includedir}/wireshark/wiretap
install -m 0644 wiretap/*.h %{buildroot}%{_includedir}/wireshark/wiretap
mkdir -p %{buildroot}%{_includedir}/wireshark/wsutil
install -m 0644 wsutil/*.h %{buildroot}%{_includedir}/wireshark/wsutil

chmod a+r %{buildroot}%{_bindir}/dumpcap

# pkg-config support
install -d %{buildroot}%{_libdir}/pkgconfig/
cat > %{buildroot}%{_libdir}/pkgconfig/wireshark.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/wireshark
plugindir=%{_libdir}/wireshark

Name: wireshark
Description: wireshark network packet dissection library
Version: %{version}

Requires:
Libs: -L\${libdir} -lwireshark
Cflags: -I\${includedir}
EOF

%pre -n dumpcap
if ! getent group wireshark > /dev/null ;then
	%{_sbindir}/groupadd -r -f wireshark
fi

%files -n dumpcap
%doc %{_docdir}/%{name}/dumpcap.html
%attr(4750, root, wireshark) %{_bindir}/dumpcap
%{_mandir}/man1/dumpcap.1*

%files
%doc README.urpmi
%doc %{_docdir}/%{name}/wireshark-filter.html
%doc %{_docdir}/%{name}/wireshark.html
%{_bindir}/%{name}
%{_bindir}/%{name}-qt
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/plugins/
%dir %{_libdir}/%{name}/extcap/
%{_datadir}/%{name}/
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml

%files tools
%doc %{_docdir}/%{name}/androiddump.html
%doc %{_docdir}/%{name}/capinfos.html
%doc %{_docdir}/%{name}/captype.html
%doc %{_docdir}/%{name}/ciscodump.html
%doc %{_docdir}/%{name}/dftest.html
%doc %{_docdir}/%{name}/dpauxmon.html
%doc %{_docdir}/%{name}/editcap.html
%doc %{_docdir}/%{name}/extcap.html
%doc %{_docdir}/%{name}/mergecap.html
%doc %{_docdir}/%{name}/mmdbresolve.html
%doc %{_docdir}/%{name}/randpkt.html
%doc %{_docdir}/%{name}/randpktdump.html
%doc %{_docdir}/%{name}/reordercap.html
%doc %{_docdir}/%{name}/sdjournal.html
%doc %{_docdir}/%{name}/sshdump.html
%doc %{_docdir}/%{name}/text2pcap.html
%doc %{_docdir}/%{name}/udpdump.html
%{_bindir}/capinfos
%{_bindir}/captype
%{_bindir}/editcap
%{_bindir}/idl2wrs
%{_bindir}/mergecap
%{_bindir}/mmdbresolve
%{_bindir}/randpkt
%{_bindir}/reordercap
%{_bindir}/text2pcap
%{_bindir}/sharkd
%{_libdir}/%{name}/extcap/androiddump
%{_libdir}/%{name}/extcap/ciscodump
%{_libdir}/%{name}/extcap/dpauxmon
%{_libdir}/%{name}/extcap/randpktdump
%{_libdir}/%{name}/extcap/sdjournal
%{_libdir}/%{name}/extcap/sshdump
%{_libdir}/%{name}/extcap/udpdump
%{_mandir}/man1/androiddump.1*
%{_mandir}/man1/capinfos.1*
%{_mandir}/man1/captype.1*
%{_mandir}/man1/ciscodump.1*
%{_mandir}/man1/dftest.1*
%{_mandir}/man1/dpauxmon.1*
%{_mandir}/man1/editcap.1*
%{_mandir}/man1/mergecap.1*
%{_mandir}/man1/mmdbresolve.1*
%{_mandir}/man1/randpkt.1*
%{_mandir}/man1/randpktdump.1*
%{_mandir}/man1/reordercap.1*
%{_mandir}/man1/sdjournal.1*
%{_mandir}/man1/sshdump.1*
%{_mandir}/man1/text2pcap.1*
%{_mandir}/man1/udpdump.1*
%{_mandir}/man4/extcap.4*

%files -n tshark
%doc README.urpmi
%doc %{_docdir}/%{name}/tshark.html
%{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n rawshark
%doc %{_docdir}/%{name}/rawshark.html
%{_bindir}/rawshark
%{_mandir}/man1/rawshark.1*

%files -n %{libname}
%doc AUTHORS NEWS README.{md,[lv]*} doc/{randpkt.txt,README.*}
%{_libdir}/libwireshark.so.%{major}{,.*}

%files -n %{libwiretap}
%{_libdir}/libwiretap.so.%{wiretapmajor}{,.*}

%files -n %{libwsutil}
%{_libdir}/libwsutil.so.%{wsutilmajor}{,.*}

%files -n %{devname}
%doc ChangeLog
%{_includedir}/wireshark/
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.so
%{_libdir}/libwsutil.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/wireshark/cmake/


%changelog
* Thu May 13 2021 luigiwalser <luigiwalser> 3.4.5-1.mga8
+ Revision: 1722780
- 3.4.5
- drop patch 1
+ neoclust <neoclust>
- New version 3.4.4

* Sat Jan 30 2021 luigiwalser <luigiwalser> 3.4.3-1.mga8
+ Revision: 1674066
- 3.4.3

* Sat Dec 19 2020 luigiwalser <luigiwalser> 3.4.2-1.mga8
+ Revision: 1661365
- 3.4.2

* Thu Dec 17 2020 umeabot <umeabot> 3.4.1-2.mga8
+ Revision: 1660296
- Rebuild for new Qt5

* Fri Dec 11 2020 luigiwalser <luigiwalser> 3.4.1-1.mga8
+ Revision: 1655290
- 3.4.1

* Thu Dec 03 2020 luigiwalser <luigiwalser> 3.4.0-1.mga8
+ Revision: 1652179
- 3.4.0
- libwireshark major is now 14
- libwiretap major is now 11
- libwsutil major is now 12

* Fri Oct 30 2020 luigiwalser <luigiwalser> 3.2.8-1.mga8
+ Revision: 1640684
- 3.2.8

* Mon Oct 12 2020 shlomif <shlomif> 3.2.7-1.mga8
+ Revision: 1633971
- New version 3.2.7

* Sun Sep 13 2020 wally <wally> 3.2.6-2.mga8
+ Revision: 1625834
- fix broken lua support (use lua5.2)
- build without spandsp (its upstream seems to be disappeared)

* Fri Aug 14 2020 luigiwalser <luigiwalser> 3.2.6-1.mga8
+ Revision: 1614034
- 3.2.6

* Thu Jul 02 2020 luigiwalser <luigiwalser> 3.2.5-1.mga8
+ Revision: 1601441
- 3.2.5

* Wed May 20 2020 luigiwalser <luigiwalser> 3.2.4-1.mga8
+ Revision: 1586283
- 3.2.4

* Thu Apr 09 2020 luigiwalser <luigiwalser> 3.2.3-1.mga8
+ Revision: 1565876
- 3.2.3

* Sun Apr 05 2020 joequant <joequant> 3.2.2-2.mga8
+ Revision: 1564885
- use lua 5.3

* Thu Feb 27 2020 luigiwalser <luigiwalser> 3.2.2-1.mga8
+ Revision: 1550896
- 3.2.2

* Wed Feb 19 2020 umeabot <umeabot> 3.2.1-2.mga8
+ Revision: 1543166
- Mageia 8 Mass Rebuild

* Thu Jan 16 2020 luigiwalser <luigiwalser> 3.2.1-1.mga8
+ Revision: 1478181
- 3.2.1
+ wally <wally>
- build with new cmake macros

* Tue Dec 31 2019 shlomif <shlomif> 3.2.0-1.mga8
+ Revision: 1475062
- New version 3.2.0

* Thu Dec 05 2019 luigiwalser <luigiwalser> 3.0.7-1.mga8
+ Revision: 1464538
- 3.0.7

* Fri Sep 13 2019 luigiwalser <luigiwalser> 3.0.4-1.mga8
+ Revision: 1440302
- 3.0.4

* Sat Jul 20 2019 luigiwalser <luigiwalser> 3.0.3-1.mga8
+ Revision: 1423170
- fix build with Qt 5.13.0
- 3.0.3

* Thu May 23 2019 luigiwalser <luigiwalser> 3.0.2-1.mga7
+ Revision: 1398951
- 3.0.2

* Fri Apr 12 2019 luigiwalser <luigiwalser> 3.0.1-1.mga7
+ Revision: 1389495
- 3.0.1

* Tue Apr 02 2019 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1385241
- Qt5 Rebuild

* Sat Mar 02 2019 wally <wally> 3.0.0-1.mga7
+ Revision: 1371071
- new version 3.0.0
- new libmajors
  * wireshark 12
  * wiretap 9
  * wsutil 10
- switch to cmake build
- update README.urpmi

* Fri Mar 01 2019 luigiwalser <luigiwalser> 2.6.7-1.mga7
+ Revision: 1370875
- 2.6.7

* Wed Jan 09 2019 luigiwalser <luigiwalser> 2.6.6-1.mga7
+ Revision: 1353482
- 2.6.6

* Fri Nov 30 2018 luigiwalser <luigiwalser> 2.6.5-1.mga7
+ Revision: 1336885
- 2.6.5

* Fri Oct 12 2018 luigiwalser <luigiwalser> 2.6.4-1.mga7
+ Revision: 1319888
- 2.6.4

* Thu Aug 30 2018 luigiwalser <luigiwalser> 2.6.3-1.mga7
+ Revision: 1255737
- 2.6.3

* Thu Jul 19 2018 luigiwalser <luigiwalser> 2.6.2-1.mga7
+ Revision: 1244274
- libwireshark major is 10, libwscodecs major is 2
- 2.6.2
- remove upstreamed patch 1

* Mon Jun 04 2018 daviddavid <daviddavid> 2.6.1-2.mga7
+ Revision: 1234570
- add patch to fix build with new Qt5 >= 5.11.0

* Wed May 23 2018 kekepower <kekepower> 2.6.1-1.mga7
+ Revision: 1231804
- Update to version 2.6.1

* Fri May 04 2018 luigiwalser <luigiwalser> 2.6.0-1.mga7
+ Revision: 1226045
- wireshark library major is now 11
- wiretap major is 8
- wscodecs major is 0
- wsutil major is 9
- 2.6.0
- switch from geoip to libmaxminddb

* Sun Apr 08 2018 luigiwalser <luigiwalser> 2.4.6-1.mga7
+ Revision: 1216106
- 2.4.6

* Sat Feb 24 2018 luigiwalser <luigiwalser> 2.4.5-1.mga7
+ Revision: 1204790
- 2.4.5

* Fri Jan 12 2018 luigiwalser <luigiwalser> 2.4.4-1.mga7
+ Revision: 1192430
- wireshark library major is now 9
- 2.4.4

* Fri Dec 01 2017 luigiwalser <luigiwalser> 2.4.3-1.mga7
+ Revision: 1180625
- 2.4.3

* Thu Oct 12 2017 luigiwalser <luigiwalser> 2.4.2-1.mga7
+ Revision: 1171168
- 2.4.2

* Thu Aug 31 2017 luigiwalser <luigiwalser> 2.4.1-1.mga7
+ Revision: 1149622
- libwscodecs major is now 1
- 2.4.1

* Sat Aug 05 2017 guillomovitch <guillomovitch> 2.4.0-1.mga7
+ Revision: 1136258
- new version 2.4.0

* Thu Jul 20 2017 luigiwalser <luigiwalser> 2.2.8-1.mga7
+ Revision: 1125409
- 2.2.8

* Fri Jun 02 2017 luigiwalser <luigiwalser> 2.2.7-1.mga6
+ Revision: 1105779
- 2.2.7

* Fri Apr 14 2017 luigiwalser <luigiwalser> 2.2.6-1.mga6
+ Revision: 1096549
- 2.2.6

* Sat Mar 04 2017 luigiwalser <luigiwalser> 2.2.5-1.mga6
+ Revision: 1088695
- 2.2.5

* Tue Jan 24 2017 luigiwalser <luigiwalser> 2.2.4-1.mga6
+ Revision: 1083294
- 2.2.4

* Thu Dec 15 2016 luigiwalser <luigiwalser> 2.2.3-1.mga6
+ Revision: 1075289
- 2.2.3

* Thu Nov 17 2016 luigiwalser <luigiwalser> 2.2.2-1.mga6
+ Revision: 1068078
- 2.2.2

* Wed Oct 05 2016 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 1058925
- 2.2.1

* Fri Sep 09 2016 luigiwalser <luigiwalser> 2.2.0-1.mga6
+ Revision: 1050919
- 2.2.0
- remove patch 0 (no longer relevant)
- remove patch 4 (configure argument should make it unnecessary)
- add libwscodecs subpackage (major is 1)
- libwireshark major is now 8
- libwiretap major is now 6
- libwsutil major is now 7

* Thu Jul 28 2016 luigiwalser <luigiwalser> 2.0.5-1.mga6
+ Revision: 1043827
- 2.0.5

* Wed Jun 08 2016 luigiwalser <luigiwalser> 2.0.4-1.mga6
+ Revision: 1020842
- 2.0.4

* Mon Apr 25 2016 luigiwalser <luigiwalser> 2.0.3-1.mga6
+ Revision: 1006113
- 2.0.3

* Fri Mar 04 2016 oden <oden> 2.0.2-2.mga6
+ Revision: 985731
- fix devel stuff a bit
+ luigiwalser <luigiwalser>
- do not call 'chgrp wireshark dumpcap' during build as it does not work
  and %%attr sets the group ownership in the files list just fine
- make dumpcap readable in the buildroot so deps can be extracted (mga#17865)

* Tue Mar 01 2016 luigiwalser <luigiwalser> 2.0.2-1.mga6
+ Revision: 981156
- 2.0.2

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.0.1-2.mga6
+ Revision: 921846
- rebuild for gnutls

* Wed Dec 30 2015 luigiwalser <luigiwalser> 2.0.1-1.mga6
+ Revision: 917012
- 2.0.1

* Thu Nov 19 2015 fwang <fwang> 2.0.0-1.mga6
+ Revision: 904128
- 2.0.0 final

* Mon Nov 02 2015 luigiwalser <luigiwalser> 2.0.0-0.rc2.3.mga6
+ Revision: 897437
- libwireshark major is now 6
- libwiretap major is now 5
- libwsutil major is now 6
- 2.0.0rc2
- remove upstreamed patch 1

* Tue Sep 15 2015 fwang <fwang> 1.99.9-1.mga6
+ Revision: 879539
- use upstream patch to detect fpic for qt5
- drop merged patch
- 1.99.9
- rebuild for new libgcrypt

* Wed Aug 12 2015 luigiwalser <luigiwalser> 1.99.8-1.mga6
+ Revision: 864132
- 1.99.8

* Sat Jul 25 2015 luigiwalser <luigiwalser> 1.99.7-2.mga6
+ Revision: 857146
- fix upgrade from mga5 as of 1.12.6-2

* Fri Jul 24 2015 luigiwalser <luigiwalser> 1.99.7-1.mga6
+ Revision: 857023
- 1.99.7
- remove upstreamed i18n patch (desktop file category patch still needed)
- libfiletap is gone
- all library majors reset to 0
- rediff patch 4

* Thu Jun 18 2015 luigiwalser <luigiwalser> 1.12.6-1.mga6
+ Revision: 823179
- 1.12.6

* Wed May 13 2015 luigiwalser <luigiwalser> 1.12.5-1.mga5
+ Revision: 821993
- 1.12.5

* Thu Mar 05 2015 luigiwalser <luigiwalser> 1.12.4-1.mga5
+ Revision: 817759
- 1.12.4

* Thu Jan 08 2015 luigiwalser <luigiwalser> 1.12.3-1.mga5
+ Revision: 809270
- 1.12.3

* Thu Nov 13 2014 luigiwalser <luigiwalser> 1.12.2-1.mga5
+ Revision: 796811
- 1.12.2

* Wed Oct 15 2014 umeabot <umeabot> 1.12.1-2.mga5
+ Revision: 750522
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 alexl <alexl> 1.12.1-1.mga5
+ Revision: 697377
- added missing requires for xdg-open (from wireshark_help_browser.patch)
+ luigiwalser <luigiwalser>
- 1.12.1
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 luigiwalser <luigiwalser> 1.12.0-3.mga5
+ Revision: 671513
- fix category in upstream desktop file

* Wed Sep 03 2014 alexl <alexl> 1.12.0-2.mga5
+ Revision: 671499
- used own desktop file from sources
- updated translations for desktop file

* Fri Aug 01 2014 luigiwalser <luigiwalser> 1.12.0-1.mga5
+ Revision: 659137
- 1.12.0
- libwireshark major is now 5
- libwiretap major is now 4
- libwsutil major is now 4
- add subpackage for new libfiletap library
- add patch to fix regression in make install (failing on chgrp)
- main GUI is now Qt-based
- build Qt5 version of GUI
- add new captype command to files list

* Fri Aug 01 2014 luigiwalser <luigiwalser> 1.10.9-1.mga5
+ Revision: 658921
- 1.10.9

* Sun Jun 29 2014 tv <tv> 1.10.8-2.mga5
+ Revision: 641016
- rebuild with lua-5.2

* Fri Jun 13 2014 luigiwalser <luigiwalser> 1.10.8-1.mga5
+ Revision: 635978
- 1.10.8

* Wed Apr 23 2014 luigiwalser <luigiwalser> 1.10.7-1.mga5
+ Revision: 617517
- 1.10.7

* Sat Mar 08 2014 luigiwalser <luigiwalser> 1.10.6-1.mga5
+ Revision: 601122
- 1.10.6

* Fri Dec 20 2013 luigiwalser <luigiwalser> 1.10.5-1.mga4
+ Revision: 559209
- 1.10.5

* Wed Dec 18 2013 luigiwalser <luigiwalser> 1.10.4-1.mga4
+ Revision: 558488
- 1.10.4

* Tue Nov 05 2013 guillomovitch <guillomovitch> 1.10.3-1.mga4
+ Revision: 549552
- new version 1.10.3
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 fwang <fwang> 1.10.2-1.mga4
+ Revision: 477516
- update libmajor
- drop deprecated flags
- new version 1.10.2

* Sat Jul 27 2013 wally <wally> 1.10.1-2.mga4
+ Revision: 458808
- add conflicts to ensure splitted libs are installed

* Sat Jul 27 2013 wally <wally> 1.10.1-1.mga4
+ Revision: 458803
- split libraries to a separate pkgs as majors differs
- redo pod fix patch (P10)
+ luigiwalser <luigiwalser>
- 1.10.1
- remove upstreamed pod patches (P9)

* Sun Jun 16 2013 wally <wally> 1.10.0-1.mga4
+ Revision: 443622
- build with libnl3
- new libmajor 3
- add P10 to fix documentation build (originally from upstream svn)
+ tv <tv>
- patch9: fix documentation build error (FC)
- drop signatures file
- new release
- compile against gtk+3
- drop patch 1 (similar change upstream)
- rediff patches

* Sat May 18 2013 luigiwalser <luigiwalser> 1.8.7-1.mga4
+ Revision: 413518
- remove automake 1.13 patch (fixed upstream)
- 1.8.7

* Thu Mar 07 2013 luigiwalser <luigiwalser> 1.8.6-1.mga3
+ Revision: 401598
- 1.8.6

* Wed Jan 30 2013 luigiwalser <luigiwalser> 1.8.5-1.mga3
+ Revision: 393525
- 1.8.5

* Mon Jan 14 2013 umeabot <umeabot> 1.8.4-5.mga3
+ Revision: 385717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.8.4-4.mga3
+ Revision: 337904
- patch6: fix build with automake 1.13

* Wed Dec 19 2012 wally <wally> 1.8.4-3.mga3
+ Revision: 332816
- add README.urpmi about capturing packets (based on README.debian)
- allow non-root users capture packets only if they're members of wireshark group
- create wireshark group for dumpcap

* Sat Dec 01 2012 wally <wally> 1.8.4-2.mga3
+ Revision: 324195
- install dumpcap setuid root as upstream suggests (to allow to start wireshark as normal user)
- drop run-as-root hacks
- drop .la files
- clean .spec a bit

* Thu Nov 29 2012 luigiwalser <luigiwalser> 1.8.4-1.mga3
+ Revision: 322929
- 1.8.4

* Wed Oct 03 2012 luigiwalser <luigiwalser> 1.8.3-1.mga3
+ Revision: 302296
- 1.8.3

* Thu Aug 16 2012 luigiwalser <luigiwalser> 1.8.2-1.mga3
+ Revision: 281455
- 1.8.2

* Thu Aug 09 2012 luigiwalser <luigiwalser> 1.8.1-1.mga3
+ Revision: 280178
- 1.8.1 (fixes CVE-2012-4048 and CVE-2012-4049)
- fix library major number
- add patches from mdv to fix plugin directory and building with gnutls3

* Mon Jul 09 2012 guillomovitch <guillomovitch> 1.8.0-1.mga3
+ Revision: 269054
- new version
- drop plugins patch: no need to change directory name
- data files are not configuration files
+ doktor5000 <doktor5000>
- new security/bugfix release 1.6.8
  o Infinite and large loops in ANSI MAP, BACapp, Bluetooth HCI, IEEE 802.3,
    LTP, and R3 dissectors have been fixed. Discovered by Laurent Butti
    (http://www.wireshark.org/security/wnpa-sec-2012-08.html [CVE-2012-2392])
  o The DIAMETER dissector could try to allocate memory improperly and crash
    (http://www.wireshark.org/security/wnpa-sec-2012-09.html [CVE-2012-2393])
  o Wireshark could crash on SPARC processors due to misaligned memory.
    Discovered by Klaus Heckelmann
    (http://www.wireshark.org/security/wnpa-sec-2012-10.html [CVE-2012-2394])
  o fixes 12 various other bugs (not security-related)

* Mon Apr 16 2012 doktor5000 <doktor5000> 1.6.7-1.mga2
+ Revision: 231110
- new version 1.6.7
  o fixes a bug with Malformed Packets H263-1996 [RFC2190]
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6996)
  o fixes a crash when trying to open an rpcap: URL
    (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6922)

* Wed Mar 28 2012 guillomovitch <guillomovitch> 1.6.6-1.mga2
+ Revision: 227240
- new version

* Wed Jan 11 2012 guillomovitch <guillomovitch> 1.6.5-1.mga2
+ Revision: 194997
- new version
+ fwang <fwang>
- new version 1.6.4

* Sat Nov 05 2011 fwang <fwang> 1.6.3-1.mga2
+ Revision: 163253
- new version 1.6.3

* Fri Oct 14 2011 doktor5000 <doktor5000> 1.6.2-2.mga2
+ Revision: 155240
- added improve_lua_error_messages.patch, improves error messages when calling
  disabled lua functions when run as root, partial fix for (mga#2352)
- added skip_disabled_function_when_running_as_root.patch, skips disabled
  dofile function call when run as root, removes error message (mga#2352)

* Fri Sep 09 2011 fwang <fwang> 1.6.2-1.mga2
+ Revision: 141703
- new version 1.6.2
- rebuild forne new gnutls
- new version 1.6.1
+ ahmad <ahmad>
- Replace libgeoip-devel with geoip-devel

* Wed Jul 06 2011 dams <dams> 1.6.0-1.mga2
+ Revision: 119324
- update to 1.6.0
- clean spec file

* Wed Apr 27 2011 wally <wally> 1.4.6-2.mga1
+ Revision: 92025
- fix desktop file names (mga#954)
- drop buildroot definition

* Wed Apr 20 2011 pterjan <pterjan> 1.4.6-1.mga1
+ Revision: 88879
- Update to 1.4.6
+ ennael <ennael>
- clean spec file

* Fri Mar 04 2011 pterjan <pterjan> 1.4.4-1.mga1
+ Revision: 64182
- Drop plenty of old stuff
- imported package wireshark


* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-1mdv2011.0
+ Revision: 641246
- 1.4.4

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.4.3-3
+ Revision: 640280
- rebuild to obsolete old packages

* Fri Jan 14 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.4.3-2
+ Revision: 631052
- Enable geoip for 2011.0 onward.

  + Oden Eriksson <oeriksson@mandriva.com>
    - 1.4.3

* Sun Jan 09 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-3
+ Revision: 630812
- P2: security fix for CVE-2010-4538
- cleanup deps

* Wed Jan 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdv2011.0
+ Revision: 628697
- disable adns support because adns does not have ipv6 support and to mitigate CVE-2008-4100

* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.4.2-1mdv2011.0
+ Revision: 600325
- Updated to 1.4.2.

* Tue Oct 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdv2011.0
+ Revision: 585192
- 1.4.1

* Tue Aug 31 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 574712
- update file list
- new version 1.4.0

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-3mdv2011.0
+ Revision: 568121
- bump release

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 1.2.10-2mdv2011.0
+ Revision: 564981
- add patch building with latest ldflags

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.2.10-1mdv2011.0
+ Revision: 563745
- update to new version 1.2.10

* Thu Jun 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-1mdv2010.1
+ Revision: 547827
- 1.2.9 (security release as of: http://www.wireshark.org/security/wnpa-sec-2010-06.html)

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2010.1
+ Revision: 542809
- 1.2.8
- added better backporting magic for updates

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - Rebuild for new OpenSSL

* Mon Apr 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.2.6-4mdv2010.1
+ Revision: 531718
- Rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-3mdv2010.1
+ Revision: 511659
- rebuilt against openssl-0.9.8m

* Thu Jan 28 2010 Funda Wang <fwang@mandriva.org> 1.2.6-2mdv2010.1
+ Revision: 497499
- add signatures
- new version 1.2.6

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 1.2.5-2mdv2010.1
+ Revision: 497108
- update license

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2010.1
+ Revision: 480364
- new version 1.2.5

* Tue Nov 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2010.1
+ Revision: 466895
- 1.2.4

* Wed Oct 28 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2010.0
+ Revision: 459681
- 1.2.3

* Wed Sep 16 2009 Zombie Ryushu <ryushu@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 443586
- Update to 1.2.2
- Update to 1.2.2

* Mon Jul 20 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 398233
- 1.2.1

* Wed Jun 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 386515
- Updated to 1.2.0.
  Updated required automake version.

* Sun May 31 2009 Funda Wang <fwang@mandriva.org> 1.0.8-3mdv2010.0
+ Revision: 381576
- build with latest gnutls 2.8

* Fri May 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-2mdv2010.0
+ Revision: 378819
- really add the latest SIGNATURES-1.0.8.txt file
- 1.0.8

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.8-1mdv2010.0
+ Revision: 378555
- update to new version 1.0.8

* Sat Apr 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2009.1
+ Revision: 367984
- enable gnutls gcrypt support for 2008.1 to cooker

* Thu Apr 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdv2009.1
+ Revision: 365349
- add the SIGNATURES-1.0.7.txt file
- 1.0.7 (fixes CVE-2009-1210, CVE-2009-1267, CVE-2009-1268, CVE-2009-1269)

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 338992
- Update to new version 1.0.6

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3mdv2009.1
+ Revision: 321340
- use parts from %%ldflags
- fix backporting
- bump the correct release :-)
- merge with 2009.0 update specs

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdv2009.1
+ Revision: 312869
- 1.0.5

* Tue Dec 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdv2009.1
+ Revision: 309256
- fix #44407 (wireshark freezes at interface selection)

* Thu Oct 30 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.4-3mdv2009.1
+ Revision: 298811
- made package directly usable for official security updates

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2009.1
+ Revision: 298447
- rebuilt against libpcap-1.0.0

* Tue Oct 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2009.1
+ Revision: 295910
- 1.0.4

* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280733
- 1.0.3

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 233650
- 1.0.2

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 230632
- turn off -Wl,--as-needed -Wl,--no-undefined because this is a can of worms.
  anyone with a lot of time, patience and a really fast machine can fix this
  if they want.
- use _disable_ld_no_undefined due to problems all over the code
- 1.0.1 (Minor security fixes)
- fix deps

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 200718
- rebuild

* Tue Apr 08 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 192340
- new version 1.0.0

* Tue Mar 04 2008 Andreas Hasenack <andreas@mandriva.com> 0.99.8-3mdv2008.1
+ Revision: 178448
- fixed #36484 (tshark needs dumpcap which is in wireshark package)

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.8-2mdv2008.1
+ Revision: 176244
- fix the conditional old menu stuff

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.8-1mdv2008.1
+ Revision: 175981
- added the rawshark sub package
- make it backportable (old menu stuff)
- fix build deps (flex)
- fix build deps (bison)
- added the SIGNATURES-0.99.8.txt file
- 0.99.8 (Minor security fixes)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.99.7-3mdv2008.1
+ Revision: 157276
- rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.99.7-2mdv2008.1
+ Revision: 149178
- do not package big ChangeLog
- drop old menu

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.7-1mdv2008.1
+ Revision: 133907
- fix deps

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.7-0mdv2008.1
+ Revision: 133376
- 0.99.7 (Major security fixes)
- rediffed P0
- added P1 to set plugindir

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-5mdv2008.0
+ Revision: 60228
- rebuilt against new net-snmp libs

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-3mdv2008.0
+ Revision: 59412
- include more .h files in the devel package

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-2mdv2008.0
+ Revision: 59384
- created devel package

* Sat Jul 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-1mdv2008.0
+ Revision: 49447
- make it build
- 0.99.6

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.5-4mdv2008.0
+ Revision: 45072
- using new serverbuild macro (-fstack-protector-full)

* Fri May 11 2007 Lenny Cartier <lenny@mandriva.org> 0.99.5-3mdv2008.0
+ Revision: 26410
- Use www-browser rather than mozill


* Sat Feb 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.5-1mdv2007.0
+ Revision: 116080
- 0.9.5 (fixes CVE-2007-0459, CVE-2007-0458, CVE-2007-0457 and CVE-2007-0456)

* Fri Nov 03 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.4-1mdv2007.1
+ Revision: 76311
- updated to version 0.99.4, fixing security vulnerabilities
  (#26943)
- fixed comment field in desktop file (#26924)

* Sat Aug 26 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.3a-1mdv2007.0
+ Revision: 58147
- updated to version 0.99.3a, fixing CVE-2006-43[30-33]
- added signed SIGNATURES file
- Import wireshark

* Tue Aug 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-3mdv2007.0
- fix xdg menu stuff

* Thu Jul 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-2mdv2007.0
- fix deps

* Wed Jul 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-1mdv2007.0
- 0.99.2 (Major security fixes)
- fix xdg menu

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.3mdv2007.0
- fix deps
- added a blurb

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.2mdv2007.0
- added some lib64 fixes
- fix deps

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.1mdv2007.0
- 0.99.1pre1
- new name

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-5mdv2007.0
- rebuild

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-4mdv2007.0
- dumpcap belongs in /usr/sbin/ and /usr/bin/, fix that with a symlink (#22849)

* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-3mdk
- dumpcap belongs in /usr/sbin/ for convenience (#22517)

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-2mdk
- dumpcap belongs to the main package (vdanen)

* Wed Apr 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-1mdk
- 0.99.0 (Major security fixes)

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.14-1mdk
- 0.10.14; fixes CVE-2005-3651
- dropped P1 and P2, fixed upstream

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.12-1mdk
- 0.10.12; multiple security fixes
- fix #17045
- fix deps

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Jun 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-1mdk
- 0.10.11 (Major security fixes)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10 (security fixes, #14660)

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.8-1mdk
- 0.10.8

* Fri Nov 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.7-1mdk
- 0.10.7
- regenerate P1
- cosmetics

* Tue Oct 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-3mdk
- Fix conflicts when upgrading from 10.0 + security update

* Tue Aug 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-2mdk
- Patch1: use correct alias for monospaced font

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.10.6-1mdk
- 0.10.6
- updated patch 0

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.5-1mdk
- new release
- rediff patch 0

* Wed Jun 09 2004 Michael Scherer <misc@mandrake.org> 0.10.4-3mdk 
- fix upgrade with Conflicts

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-2mdk
- fix deps
- use some more libtool stuff

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- use the %%configure2_5x macro
- huge spec file fixes (used ideas from debian and PLD)

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sun Apr 11 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires

* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

